unit uDataModuleConfiguracion;

interface

uses
  SysUtils, Classes, uROServiceComponent, uRORemoteService, uDADataTable,
  uDABINAdapter, uROClient, uROBinMessage, uROWinInetHttpChannel;

const
  SERVER_URL = 'http://localhost:8099/bin';

type
  TdmConfiguracion = class(TDataModule)
    ROChannel: TROWinInetHTTPChannel;
    ROMessage: TROBinMessage;
    DABINAdapter: TDABINAdapter;
    RORemoteService: TRORemoteService;
  public
    function darValor(const CODIGO: String): Variant;
  end;

var
  dmConfiguracion: TdmConfiguracion;

implementation

{$R *.dfm}

uses FactuGES_Intf, Variants;


{ TdmConfiguracion }

function TdmConfiguracion.darValor(const CODIGO: String): Variant;
begin
  Result := (RORemoteService as IsrvConfiguracion).darValor(CODIGO);
end;

end.
